حالة الموضوع:
مغلق
  1. .:: RSS ::.

    .:: RSS ::. عضوية آلية

    الأنتساب:
    ‏9 سبتمبر 2011
    المشاركات:
    14,005
    الإعجابات المتلقاة:
    0
    نقاط الجائزة:
    36
    الإقامة:
    IQ-T34M
    السلام عليكم ورحم الله وبركاته


    من شوي رقية الميتا الي الاصدار الجديد لكن حدث خطأ عندي

    وبحث عن الحل ووجدته الحمد لله وحبيت اضع لكم الحل عشان لا سمح الله

    اذا صار لاحد ما يتعب زي ماحصلي

    عند تشغيل الميتا كان يظهرلي هذا الخطأ

    [​IMG]

    كود:
    /usr/local/rvm/rubies/ruby-1.9.2-p180/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require': no such file to load -- readline (LoadError)
    from /usr/local/rvm/rubies/ruby-1.9.2-p180/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
    from /usr/local/rvm/gems/ruby-1.9.2-p180/gems/heroku-2.1.1/lib/heroku/command/run.rb:1:in `'
    from /usr/local/rvm/rubies/ruby-1.9.2-p180/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
    from /usr/local/rvm/rubies/ruby-1.9.2-p180/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
    from /usr/local/rvm/gems/ruby-1.9.2-p180/gems/heroku-2.1.1/lib/heroku/command.rb:17:in `block in load'
    from /usr/local/rvm/gems/ruby-1.9.2-p180/gems/heroku-2.1.1/lib/heroku/command.rb:16:in `each'
    from /usr/local/rvm/gems/ruby-1.9.2-p180/gems/heroku-2.1.1/lib/heroku/command.rb:16:in `load'
    from /usr/local/rvm/gems/ruby-1.9.2-p180/gems/heroku-2.1.1/bin/heroku:13:in `'
    from /usr/local/rvm/gems/ruby-1.9.2-p180/bin/heroku:19:in `load'
    الان اكتب هذه الاوامر بترتيب

    كود:
    sudo apt-get install openssl libssl-dev libreadline5-dev zlib1g-dev
    كود:
    rvmsudo rvm remove 1.9.2
    [​IMG]

    كود:
    rvmsudo rvm cleanup all
    [​IMG]

    كود:
    rvmsudo rvm install 1.9.2
    [​IMG]


    واتمني ان تستفيدوا من الشرح

    تحياتي
     
حالة الموضوع:
مغلق

مشاركة هذه الصفحة